package com.kingdee.eas.custom.handover;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class WorkHandoverFactory
{
    private WorkHandoverFactory()
    {
    }
    public static com.kingdee.eas.custom.handover.IWorkHandover getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.handover.IWorkHandover)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("47B1EE94") ,com.kingdee.eas.custom.handover.IWorkHandover.class);
    }
    
    public static com.kingdee.eas.custom.handover.IWorkHandover getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.handover.IWorkHandover)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("47B1EE94") ,com.kingdee.eas.custom.handover.IWorkHandover.class, objectCtx);
    }
    public static com.kingdee.eas.custom.handover.IWorkHandover getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.handover.IWorkHandover)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("47B1EE94"));
    }
    public static com.kingdee.eas.custom.handover.IWorkHandover getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.handover.IWorkHandover)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("47B1EE94"));
    }
}